API ReferenceVerifier applications
Retrieve all verifier applications
GET
/v2/presentations/applicationsRetrieves all configured mDocs online verifier applications.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_STARTCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_SUCCESSCREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_LIST_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range size of returned list.
Range
1 <= value <= 1000Default
100cursor?string
Starting point for the list of entries.
Response Body
application/json
curl -X GET "https://example.com/v2/presentations/applications"{ "nextCursor": "string", "data": [ { "id": "string", "name": "string", "type": "web", "domain": "string", "additionalDomains": [ "string" ], "openid4vpConfiguration": { "supportedModes": "all", "redirectUris": [ "string" ], "display": { "displayMode": "full", "logoImage": { "url": "string", "altText": "string" }, "headerText": "string", "bodyText": "string", "privacyPolicyUrl": "string", "primaryColorHex": "string", "privacyPolicyLinkText": "string", "qrCodeInstructions": "string", "awaitingPresentationText": "string" } }, "dcApiConfiguration": { "supportedBrowserPlatforms": { "desktop": true, "mobile": true } }, "resultAvailableInFrontChannel": true } ]}How would you rate this page?
Create verifier application POST
Creates an mDocs online verifier application. Once created, application instances can be registered and interact with the MATTR VII platform (for example, to verify credential presentations).
Retrieve a verifier application GET
Retrieves an existing mDocs online verifier application.